<?php

class Controller {

	public function Controller() {
		
		global $def;
		$this->set_url();
		$meta = $def['meta'];
		if (!isset($meta[$def['subj']])) exit(def_404());
		
		$class = 'Table';
		if (isset($_GET['id'])) {
			$class = 'Item';
			$def['id'] = intval($_GET['id']);
		}
		$def['view'] = strtolower($class);
		include $def['lib'] . '/view/' . $class . '.php';
		
		new $class();
	}
	
	private function set_url() {
		
		global $def;
		$url = $def['url'];
		$url = preg_split("/\?/", $url);
		$url = $url[0];
		$url = explode('/', $url);
		$url = array_pop($url);
		if (!$url) $url = $def['default_url'];
		
		$re = preg_quote($def['ext'], '/');
		$subj = preg_replace("/{$re}$/", '', $url);
		$def['file'] = $url;
		$def['subj'] = $subj;
	}
	
}