<?php

class Table  extends View {

	public function __construct() {
		$data = new Data();
		$data = $data->get();
		$this->data = $data;
		$this->out();
	}
	
	public function out() {
		global $def;
		
		$title = $this->data[$def['view']]['title'];
		$caption = $this->data[$def['view']]['caption'];
		$subj = $def['subj'];
		$head = $this->build_head();
		$thead = $head['thead'];
		$cols = $head['cols'];
		
		$menu = $this->build_menu();
		$tbody = $this->build_tbody();
		include $def['lib'] . '/view/' . __CLASS__ . '.tpl.php';
	}
	
	public function build_head() {
		global $def;
		
		$head = $this->data['table']['thead'];
		$thead = '<tr>';
		$cols = '';
		foreach($head as $field => $prop) {
			if (!empty($prop[$def['show']])) {
				$thead .= sprintf(self::htpl(2, 'th', 'class'), $field, $prop[$def['show']]);
				$cols .= sprintf(self::htpl(1, 'col', 'class'), $field);
			}
		}
		$thead .= '</tr>';
		return array('thead' => $thead, 'cols' => $cols);
	}
	
	public function build_tbody() {
		global $def;
		
		$thead = $this->data['table']['thead'];
		$tbody = $this->data['table']['tbody'];
		$str = '';
		
		foreach($tbody as $row) {
			
			$str .= '<tr>';
			foreach($thead as $field => $prop) {
				if (!empty($prop[$def['show']])) {
					$value = $row[$field];
					$html = (!empty($value[2])) 
					? sprintf(self::htpl(2, $value[2]), $value[0], $value[1]) 
					: $value[0];
					
					$str .= sprintf(self::htpl(2, 'td'), $html);
				}
			}
			$str .= '</tr>';
		}
		
		return $str;
	}
	
}