<?php

class View {
	
	protected $data;
	
	public static function htpl() {
		$def = array(
			'img' => array('src', 'alt'),
			'a' => array('href'),
		);
		
		$args = func_get_args();
		if (is_array($args[0])) $args = $args[0];
		$mode = intval(array_shift($args));
		$tag = array_shift($args);
		if (!count($args)) $args = esse($def, $tag);
		if (!$args) $args = array();
		$attrs = '';
		
		foreach ($args as $key => $attr) $attrs .= ' ' . $attr . '="%' . ($key + $mode) . "\$s\" ";
		
		return ($mode == 1) ? '<' . $tag . $attrs . ' />' 
			: '<' . $tag . $attrs . ">%1\$s</" . $tag . '>';
		
	}
	
	protected function build_menu() {
		$menu = $this->data['menu'];
		$out = array();
		foreach($menu as $arr) {
			$out[] = (!empty($arr['href'])) 
				? sprintf(self::htpl(2, 'a', 'href'), $arr['text'], $arr['href'])
				: sprintf(self::htpl(2, 'span'), $arr['text']);
		}
		return implode(' | ', $out);
	}
		
}