<?php

$def = array(
	'site_path' => dirname(__FILE__), 
	'lib' => dirname(__FILE__) . '/../lib', 
	'ext' => '.htm',
	'url' => $_SERVER['REQUEST_URI'],
	
	'meta' => array( /* Model */
		'friends' => array('table' => 'people', 'title' => 'Друзья', 'flag' => 'rel', 'count' => 3),
		'enemies' => array('table' => 'people', 'title' => 'Враги', 'flag' => 'rel', 'count' => 2),
		'cats' => array('table' => 'cats', 'title' => 'Кошки', 'count' => 1),
		'jobs' => array('table' => 'jobs', 'title' => 'Задачи', 'count' => 1),
	),
	'show' => 'ru', /* Model */
	
);

$def['default_url'] = 'friends' . $def['ext'];

function def_404() {
	header('HTTP/1.x 404 Not Found');
	exit('<center><strong><br><br>404: страница не найдена');
}

function esse(&$arr, $id1 = false, $id2 = false){
	if (!isset($arr)) return '';
	if (!is_array($arr) || $id1 === false) return $arr;
	if (empty($arr[$id1])) return '';
	if (!is_array($arr[$id1]) || $id2 === false) return $arr[$id1];
	else return (!empty($arr[$id1][$id2])) ? $arr[$id1][$id2] : '';
}

function def_e($x) {
	$in = array('"', "'", '<');
	$out = array('&#34;', "&#39;", '&lt;');
	return str_replace($in, $out, $x);
}

include_once($def['lib'] . "/Model.php");
include_once($def['lib'] . "/Data.php");
include_once($def['lib'] . "/Controller.php");
include_once($def['lib'] . "/View.php");

$controller = new Controller();
